Package org.eclipse.net4j.util.factory

## Class FactoryDescriptor

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.factory.FactoryDescriptor

- All Implemented Interfaces:
    `IFactory`

      public class FactoryDescriptor
      extends Factory

  A `factory` that delegates to an `extension registry` contribution.

  Example contribution:

          <extension
                point="org.eclipse.net4j.util.factories">
             <factory
                   class="org.eclipse.net4j.util.concurrent.TimerLifecycle$DaemonFactory"
                   productGroup="org.eclipse.net4j.util.timers"
                   type="daemon"/>
          </extension>

  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FactoryDescriptor​(IConfigurationElement configurationElement)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `create​(java.lang.String description)` |
    `IFactory` | `createFactory()` |
    `IConfigurationElement` | `getConfigurationElement()` |
    `java.lang.String` | `getDescriptionFor​(java.lang.Object product)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryDescriptor

          public FactoryDescriptor​(IConfigurationElement configurationElement)

  - ### Method Detail

    - #### getConfigurationElement

          public IConfigurationElement getConfigurationElement()

    - #### createFactory

          public IFactory createFactory()

    - #### create

          public java.lang.Object create​(java.lang.String description)

    - #### getDescriptionFor

          public java.lang.String getDescriptionFor​(java.lang.Object product)

      Specified by:
        `getDescriptionFor` in interface `IFactory`
      Overrides:
        `getDescriptionFor` in class `Factory`